Skip to content

Speed Dial

All operations require authentication.

5 operationsv1/telephony/{billingAccount}
View as Markdown (opens in a new tab)
Agent setup

List speed dial numbersProduction

GET
/v1/telephony/{billingAccount}/abbreviatedNumber

List speed dial numbers. Returns the speed dial numbers shared by all the lines of the billing account. A speed dial number is a short code for a number.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a speed dial numberProduction

GET
/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Get a speed dial number. Returns the speed dial number of the billing account: short code, destination number, name and surname. The short code starts with 7.

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Create a speed dial numberProduction

POST
/v1/telephony/{billingAccount}/abbreviatedNumber

Create a speed dial number. Creates a speed dial number shared by all the lines of the billing account. The short code starts with 7 and has 3 or 4 digits.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
required
phoneNumber

The destination of the abbreviated number

name
required
string
—
surname
required
string
—

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Delete a speed dial numberProduction

DELETE
/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Delete a speed dial number. Deletes the speed dial number of the billing account. Its short code no longer calls the destination number from the lines.

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a speed dial numberProduction

PUT
/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Update a speed dial number. Updates the speed dial number of the billing account: destination number, name and surname. The short code starts with 7 and has 3 or 4 digits.

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"